Bug 1288356 - Is a boost to 3.3 in f23 viable?
Summary: Is a boost to 3.3 in f23 viable?
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: python-dialog
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Zbigniew Jędrzejewski-Szmek
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1288742
TreeView+ depends on / blocked
 
Reported: 2015-12-04 05:12 UTC by James Hogarth
Modified: 2015-12-08 19:52 UTC (History)
4 users (show)

Fixed In Version: python-dialog-3.3.0-4.fc23
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-12-08 19:52:15 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
0001-No-need-to-convert-README-upstream-provides-utf-8.patch (1.81 KB, patch)
2015-12-04 12:22 UTC, Robert Buchholz
no flags Details | Diff

Description James Hogarth 2015-12-04 05:12:55 UTC
Description of problem:
There had been significant interest in getting the official letsencrypt client into Fedora 23 since F24 is so far off.

One of the key dependencies blocking this is the minimum version of python-dialog required.

Has there been a break in compatibility with code written against the version shipped in F23 or is an update within that feasible?

This will affect how soon we can get the official letsencrypt client into the hands of Fedora users.

Comment 1 Robert Buchholz 2015-12-04 12:22:56 UTC
Created attachment 1102254 [details]
0001-No-need-to-convert-README-upstream-provides-utf-8.patch

Zbigniew commented in bug 998103 this should be possible once letsencrypt is approved.

On a semi-related note, here's a small patch to clean up the 3.3.0 spec file: The iconv call creates bad encoding in README for me, it is not needed. Also removes an obsolete comment.

Comment 2 Zbigniew Jędrzejewski-Szmek 2015-12-04 13:51:07 UTC
It seems that python-dialog has very little use outside of letsencrypt. I applied your patch and prepared an update for F23.

Comment 3 Fedora Update System 2015-12-04 14:01:21 UTC
python-dialog-3.3.0-4.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-587e787ac9

Comment 4 Fedora Update System 2015-12-04 16:50:39 UTC
python-dialog-3.3.0-4.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update python-dialog'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-587e787ac9

Comment 5 James Hogarth 2015-12-05 18:56:15 UTC
Thanks Zbigniew ...

We'll give this a test in a F23 build in the next few days.

Comment 6 Fedora Update System 2015-12-08 19:52:12 UTC
python-dialog-3.3.0-4.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.